Support

Plugin Release Dates Pre-Annual Service Plan

2 minute read • Last updated 2019-10-11

This only applies if you haven't yet switched to the Annual Service Plan and you need to check that your plugin is compatible with your current version of Illustrator.


All plugins labelled "Compatible CS6 - CC2019" can still be installed with our last released Unified Installer.


Phantasm CS - September 2006 – Previous generation, predates CC17.1

Phantasm CS v2 - May 2007 – Previous generation, predates CC17.1

Phantasm CS Designer - March 2008 – Previous generation, predates CC17.1

Phantasm CS Studio - March 2008 – Previous generation, predates CC17.1

Phantasm CS Publisher - November 2009 – Previous generation, predates CC17.1

Phantasm CS D|S - March 2011 – Previous generation, predates CC17.1

VectorScribe v1 - May 2011 – Previous generation, predates CC17.1

DrawScribe - March 2012 – Since split into InkScribe and DynamicSketch

SubScribe - April 2012 – Compatible CS6 - CC2019

WidthScribe  v1 - January 2013 – Previous generation, predates CC 2015.2

ColliderScribe v1 - March 2013 – Previous generation, pre-dates CC2014

InkScribe - May 2013 – Compatible CS6 - CC2019

DynamicSketch v1 - May 2013 – Previous generation, pre-dates CC2018

Phantasm v3 -  May 2013 – Previous generation, pre-dates CC2019

Rasterino - May 2013 – Compatible CS6 - CC2019

InkQuest - May 2013 – Compatible CS6 - CC2019

MirrorMe - July 2013 – Compatible CS6 - CC2019

VectorScribe v2 - October 2013 – Previous generation, pre-dates CC2017

Stylism - April 2014 – Compatible CS6 - CC2019

Autosaviour Free - June 2014 – Since merged with Autosaviour Pro and now free

WidthScribe v2 - October 2014 – Compatible CS6 - CC2019

Autosaviour Pro - December 2014 Since changed to a free product

ColliderScribe v2 - June 2015 – Compatible CS6 - CC2019

Stipplism - October 2015 – Compatible CS6 - CC2019

Texturino - February 2016 – Compatible CS6 - CC2019

VectorScribe v3 - October 2016 – Compatible CS6 - CC2019

DirectPrefs - October 2016 – Compatible CS6 - CC2019

VectorFirstAid - March 2017 – Previous generation, pre-dates CC20

DynamicSketch v2 - June 2017 – Compatible CS6 - CC2019

Phantasm v4 - April 2018 – Compatible CS6 - CC2019

VectorFirstAid v2 - September 2018Compatible CS6 - CC2019

SubScribe v2 - February 2019 – Compatible CS6 - CC2019

Helpful?

Please explain why this isn't helpful*